let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/x9c1v5kj31z20iyy1pgqfnb43ds77xz0-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/7483gs9ycf6hbq7vi3cd51v8c8vjafia-coreutils-8.31/bin";
  bzip2 = "/nix/store/zmb47nh8n7a0la14fn1m2fzzyjd1dwah-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/n4kdqd7nxyb4nl3qsg855p1apj51r269-gzip-1.10/bin/gzip";
  xz = "/nix/store/hapjf49c41s0lxnh6ni12lshqpk1qixs-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/iajw0z5bksn155ldwgkj57njizwm7wvn-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/7483gs9ycf6hbq7vi3cd51v8c8vjafia-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/5ira7xgs92inqz1x8l0n1wci4r79hnd0-nix-2.3.7/bin";
  nixPrefix = "/nix/store/5ira7xgs92inqz1x8l0n1wci4r79hnd0-nix-2.3.7";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/5ira7xgs92inqz1x8l0n1wci4r79hnd0-nix-2.3.7/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
